Bug 1215115 - part4: Enable MOZ_WEBM_ENCODER by default. r=ted
authorbechen <bechen@mozilla.com>
Fri, 01 Apr 2016 14:04:42 +0800
changeset 292050 11cfc06439f953208d3975ca4488bbbfd8792ed0
parent 292049 908acebd5af42eacff6bf962970956c20fff6a6b
child 292051 3ce2c626f6ba24e4303f2c1f84287f834c952a4b
push id30152
push userkwierso@gmail.com
push dateThu, 07 Apr 2016 20:42:20 +0000
treeherdermozilla-central@06678484909c [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersted
bugs1215115
milestone48.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1215115 - part4: Enable MOZ_WEBM_ENCODER by default. r=ted MozReview-Commit-ID: 6IgZoIhTLM7
browser/confvars.sh
old-configure.in
--- a/browser/confvars.sh
+++ b/browser/confvars.sh
@@ -55,16 +55,15 @@ MAR_CHANNEL_ID=firefox-mozilla-central
 MOZ_PROFILE_MIGRATOR=1
 MOZ_APP_STATIC_INI=1
 MOZ_WEBGL_CONFORMANT=1
 # Enable navigator.mozPay
 MOZ_PAY=1
 # Enable activities. These are used for FxOS developers currently.
 MOZ_ACTIVITIES=1
 MOZ_JSDOWNLOADS=1
-MOZ_WEBM_ENCODER=1
 MOZ_RUST_MP4PARSE=1
 
 # Enable checking that add-ons are signed by the trusted root
 MOZ_ADDON_SIGNING=1
 
 # Include the DevTools client, not just the server (which is the default)
 MOZ_DEVTOOLS=all
--- a/old-configure.in
+++ b/old-configure.in
@@ -4168,23 +4168,20 @@ if test -n "$MOZ_VORBIS" -a -n "$MOZ_TRE
 fi
 
 if test -n "$MOZ_VORBIS"; then
     AC_DEFINE(MOZ_VORBIS)
 fi
 
 if test -n "$MOZ_TREMOR"; then
     AC_DEFINE(MOZ_TREMOR)
-    # Tremor doesn't have an encoder.
-    MOZ_WEBM_ENCODER=
-fi
-
-if test -n "$MOZ_WEBM_ENCODER"; then
-    AC_DEFINE(MOZ_WEBM_ENCODER)
-fi
+fi
+
+MOZ_WEBM_ENCODER=1
+AC_DEFINE(MOZ_WEBM_ENCODER)
 AC_SUBST(MOZ_WEBM_ENCODER)
 
 dnl ==================================
 dnl = Check alsa availability on Linux
 dnl ==================================
 
 dnl If using Linux, ensure that the alsa library is available
 if test "$OS_TARGET" = "Linux"; then